Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.wsdl
Class TDefinitions

    java.lang.Object
      org.apache.cxf.wsdl.TDocumented
          org.apache.cxf.wsdl.TExtensibleDocumented
              org.apache.cxf.wsdl.TDefinitions

    public class TDefinitions

extends TExtensibleDocumented

Java class for tDefinitions complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="tDefinitions">
       <complexContent>
         <extension base="{http://schemas.xmlsoap.org/wsdl/}tExtensibleDocumented">
           <sequence>
             <group ref="{http://schemas.xmlsoap.org/wsdl/}anyTopLevelOptionalElement" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="targetNamespace" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}NCName" />
         </extension>
       </complexContent>
     </complexType>

Field Summary
`protected java.util.List<TDocumented>` | `anyTopLevelOptionalElement`
`protected java.lang.String` | `name`
`protected java.lang.String` | `targetNamespace`

Fields inherited from class org.apache.cxf.wsdl.TExtensibleDocumented
`any`

Fields inherited from class org.apache.cxf.wsdl.TDocumented
`documentation`

Constructor Summary
`TDefinitions()`

Method Summary
`java.util.List<TDocumented>` | `getAnyTopLevelOptionalElement()` Gets the value of the anyTopLevelOptionalElement property.
`java.lang.String` | `getName()` Gets the value of the name property.
`java.lang.String` | `getTargetNamespace()` Gets the value of the targetNamespace property.
`boolean` | `isSetAnyTopLevelOptionalElement()`
`boolean` | `isSetName()`
`boolean` | `isSetTargetNamespace()`
`void` | `setName(java.lang.String value)` Sets the value of the name property.
`void` | `setTargetNamespace(java.lang.String value)` Sets the value of the targetNamespace property.
`void` | `unsetAnyTopLevelOptionalElement()`

Methods inherited from class org.apache.cxf.wsdl.TExtensibleDocumented
`getAny, isSetAny, unsetAny`

Methods inherited from class org.apache.cxf.wsdl.TDocumented
`getDocumentation, isSetDocumentation, setDocumentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### anyTopLevelOptionalElement

    protected java.util.List<TDocumented> anyTopLevelOptionalElement

### targetNamespace

    protected java.lang.String targetNamespace

### name

    protected java.lang.String name

Constructor Detail

### TDefinitions

    public TDefinitions()

Method Detail

### getAnyTopLevelOptionalElement

    public java.util.List<TDocumented> getAnyTopLevelOptionalElement()

  Gets the value of the anyTopLevelOptionalElement property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the anyTopLevelOptionalElement property.

  For example, to add a new item, do as follows:

          getAnyTopLevelOptionalElement().add(newItem);

  Objects of the following type(s) are allowed in the list `TService` `TBinding` `TTypes` `TImport` `TPortType` `TMessage`

### isSetAnyTopLevelOptionalElement

    public boolean isSetAnyTopLevelOptionalElement()

### unsetAnyTopLevelOptionalElement

    public void unsetAnyTopLevelOptionalElement()

### getTargetNamespace

    public java.lang.String getTargetNamespace()

  Gets the value of the targetNamespace property.

  Returns:
    possible object is `String`

### setTargetNamespace

    public void setTargetNamespace(java.lang.String value)

  Sets the value of the targetNamespace property.

  Parameters:
    `value` - allowed object is `String`

### isSetTargetNamespace

    public boolean isSetTargetNamespace()

### getName

    public java.lang.String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(java.lang.String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### isSetName

    public boolean isSetName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF